
  <% if current_user.blank? %>
    <div class="gambar1">
      <%= image_tag("peentar.png", :alt => "logo") %>
    </div>

      <div class="login-page">
        <div class='form'>
          <p>Silahkan Login terlebih dahulu</p>
          <%= link_to 'Login', '/login' %>
      </div>
    </div>
  <% else %>

  <div class="row head">
    <div class="col-md-6">
      <%= image_tag("peentar.png", :alt => "logo") %>
      <b><%= link_to 'Transaction Table', transaction_index_url  %></b>
    </div>
    <div class="col-md-6 write-right">
      <p>
        Logged in as <%= current_user.username %> 
        <%= link_to 'Sign Out', signout_path, method: :delete  %>
    </p>
    </div>
  </div>

    <div class='row'>
      <div id='top' class="jumbotron">
        <div class="container">                                                           
          <div class="table-responsive">
            <div class='kotak'>
              <h2 class='group_title text-center'>Transaction Table</h2> 
              <hr>     
              <table class="table">
                <thead class='text-center'>
                  <tr class='group_title active'>
                    <th>Time</th>
                    <th>InvoiceID</th>
                    <th>Source</th>
                    <th>Payment Method</th>
                    <th>Subject</th>
                    <th>Payment Amount</th>
                    <th>Status</th>
                    <th>Actionable</th>
                  </tr>
                </thead>
                <tbody>
                  <% @transactions.each do |t| %>
                  <tr>
                    <td><%= t.created_at %></td>
                    <td><%= t.invoice %></td>
                    <td><%= t.source %></td>
                    <td><%= t.method %></td>
                    <td><%= t.subject %></td>
                    <td><%= t.amount %></td>
                    <td><%= t.status %></td>
                    <td><%= link_to 'Detail', transaction_path(:id => t.invoice) %></td>
                    
                  </tr>
                  <% end %>
                </tbody>
              </table>
              <h4 class='group_title'>Status Detail</h4>
              <ul>
                <li class='col'>PENDING: When invoice has been made, but no payment method submitted</li>
                <li class='col2'>WAITING_SUBJECT: When invoice has been made, and a payment method has been commited, but we are not yet get payment notification from vendor (Finnet)</li>
                <li class='col'>PAID: When invoice has been made, and FinNet acknowledged that payment successfully</li>
                <li class='col2'>REJECTED: When invoice has been made, and FinNet acknowledged that payment was failed.</li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>

  <% end %>

    <div class="footer-bottom">
      <div class="container">
        <p align='center'> Copyright © Dream Fasilkom - UI </p>
      </div>
    </div>

